Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/118
Addresses1,024
/64 networksPart of one
Network
2c19:dd:c25:c25d:dd:dd:dd:dc00/118
First address
2c19:dd:c25:c25d:dd:dd:dd:dc00
Last address
2c19:dd:c25:c25d:dd:dd:dd:dfff
Addresses
1,024
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:0c25:c25d:00dd:00dd:00dd:dc00
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
c.d.d.d.0.0.d.d.0.0.d.d.0.0.d.5.2.c.5.2.c.0.d.d.0.0.9.1.c.2.ip6.arpa
d.d.d.d.0.0.d.d.0.0.d.d.0.0.d.5.2.c.5.2.c.0.d.d.0.0.9.1.c.2.ip6.arpa
e.d.d.d.0.0.d.d.0.0.d.d.0.0.d.5.2.c.5.2.c.0.d.d.0.0.9.1.c.2.ip6.arpa
f.d.d.d.0.0.d.d.0.0.d.d.0.0.d.5.2.c.5.2.c.0.d.d.0.0.9.1.c.2.ip6.arpa
/118 is not on a 4-bit boundary, so it takes 4 /120 zones.
Split into smaller subnets/127

2c19:dd:c25:c25d:dd:dd:dd:dc00/118 makes 512 subnets of /127; the first 256 are listed.

Subnets
#SubnetLast address
12c19:dd:c25:c25d:dd:dd:dd:dc00/1272c19:dd:c25:c25d:dd:dd:dd:dc01
22c19:dd:c25:c25d:dd:dd:dd:dc02/1272c19:dd:c25:c25d:dd:dd:dd:dc03
32c19:dd:c25:c25d:dd:dd:dd:dc04/1272c19:dd:c25:c25d:dd:dd:dd:dc05
42c19:dd:c25:c25d:dd:dd:dd:dc06/1272c19:dd:c25:c25d:dd:dd:dd:dc07
52c19:dd:c25:c25d:dd:dd:dd:dc08/1272c19:dd:c25:c25d:dd:dd:dd:dc09
62c19:dd:c25:c25d:dd:dd:dd:dc0a/1272c19:dd:c25:c25d:dd:dd:dd:dc0b
72c19:dd:c25:c25d:dd:dd:dd:dc0c/1272c19:dd:c25:c25d:dd:dd:dd:dc0d
82c19:dd:c25:c25d:dd:dd:dd:dc0e/1272c19:dd:c25:c25d:dd:dd:dd:dc0f
92c19:dd:c25:c25d:dd:dd:dd:dc10/1272c19:dd:c25:c25d:dd:dd:dd:dc11
102c19:dd:c25:c25d:dd:dd:dd:dc12/1272c19:dd:c25:c25d:dd:dd:dd:dc13
112c19:dd:c25:c25d:dd:dd:dd:dc14/1272c19:dd:c25:c25d:dd:dd:dd:dc15
122c19:dd:c25:c25d:dd:dd:dd:dc16/1272c19:dd:c25:c25d:dd:dd:dd:dc17
132c19:dd:c25:c25d:dd:dd:dd:dc18/1272c19:dd:c25:c25d:dd:dd:dd:dc19
142c19:dd:c25:c25d:dd:dd:dd:dc1a/1272c19:dd:c25:c25d:dd:dd:dd:dc1b
152c19:dd:c25:c25d:dd:dd:dd:dc1c/1272c19:dd:c25:c25d:dd:dd:dd:dc1d
162c19:dd:c25:c25d:dd:dd:dd:dc1e/1272c19:dd:c25:c25d:dd:dd:dd:dc1f
172c19:dd:c25:c25d:dd:dd:dd:dc20/1272c19:dd:c25:c25d:dd:dd:dd:dc21
182c19:dd:c25:c25d:dd:dd:dd:dc22/1272c19:dd:c25:c25d:dd:dd:dd:dc23
192c19:dd:c25:c25d:dd:dd:dd:dc24/1272c19:dd:c25:c25d:dd:dd:dd:dc25
202c19:dd:c25:c25d:dd:dd:dd:dc26/1272c19:dd:c25:c25d:dd:dd:dd:dc27
212c19:dd:c25:c25d:dd:dd:dd:dc28/1272c19:dd:c25:c25d:dd:dd:dd:dc29
222c19:dd:c25:c25d:dd:dd:dd:dc2a/1272c19:dd:c25:c25d:dd:dd:dd:dc2b
232c19:dd:c25:c25d:dd:dd:dd:dc2c/1272c19:dd:c25:c25d:dd:dd:dd:dc2d
242c19:dd:c25:c25d:dd:dd:dd:dc2e/1272c19:dd:c25:c25d:dd:dd:dd:dc2f
252c19:dd:c25:c25d:dd:dd:dd:dc30/1272c19:dd:c25:c25d:dd:dd:dd:dc31
262c19:dd:c25:c25d:dd:dd:dd:dc32/1272c19:dd:c25:c25d:dd:dd:dd:dc33
272c19:dd:c25:c25d:dd:dd:dd:dc34/1272c19:dd:c25:c25d:dd:dd:dd:dc35
282c19:dd:c25:c25d:dd:dd:dd:dc36/1272c19:dd:c25:c25d:dd:dd:dd:dc37
292c19:dd:c25:c25d:dd:dd:dd:dc38/1272c19:dd:c25:c25d:dd:dd:dd:dc39
302c19:dd:c25:c25d:dd:dd:dd:dc3a/1272c19:dd:c25:c25d:dd:dd:dd:dc3b
312c19:dd:c25:c25d:dd:dd:dd:dc3c/1272c19:dd:c25:c25d:dd:dd:dd:dc3d
322c19:dd:c25:c25d:dd:dd:dd:dc3e/1272c19:dd:c25:c25d:dd:dd:dd:dc3f
332c19:dd:c25:c25d:dd:dd:dd:dc40/1272c19:dd:c25:c25d:dd:dd:dd:dc41
342c19:dd:c25:c25d:dd:dd:dd:dc42/1272c19:dd:c25:c25d:dd:dd:dd:dc43
352c19:dd:c25:c25d:dd:dd:dd:dc44/1272c19:dd:c25:c25d:dd:dd:dd:dc45
362c19:dd:c25:c25d:dd:dd:dd:dc46/1272c19:dd:c25:c25d:dd:dd:dd:dc47
372c19:dd:c25:c25d:dd:dd:dd:dc48/1272c19:dd:c25:c25d:dd:dd:dd:dc49
382c19:dd:c25:c25d:dd:dd:dd:dc4a/1272c19:dd:c25:c25d:dd:dd:dd:dc4b
392c19:dd:c25:c25d:dd:dd:dd:dc4c/1272c19:dd:c25:c25d:dd:dd:dd:dc4d
402c19:dd:c25:c25d:dd:dd:dd:dc4e/1272c19:dd:c25:c25d:dd:dd:dd:dc4f
412c19:dd:c25:c25d:dd:dd:dd:dc50/1272c19:dd:c25:c25d:dd:dd:dd:dc51
422c19:dd:c25:c25d:dd:dd:dd:dc52/1272c19:dd:c25:c25d:dd:dd:dd:dc53
432c19:dd:c25:c25d:dd:dd:dd:dc54/1272c19:dd:c25:c25d:dd:dd:dd:dc55
442c19:dd:c25:c25d:dd:dd:dd:dc56/1272c19:dd:c25:c25d:dd:dd:dd:dc57
452c19:dd:c25:c25d:dd:dd:dd:dc58/1272c19:dd:c25:c25d:dd:dd:dd:dc59
462c19:dd:c25:c25d:dd:dd:dd:dc5a/1272c19:dd:c25:c25d:dd:dd:dd:dc5b
472c19:dd:c25:c25d:dd:dd:dd:dc5c/1272c19:dd:c25:c25d:dd:dd:dd:dc5d
482c19:dd:c25:c25d:dd:dd:dd:dc5e/1272c19:dd:c25:c25d:dd:dd:dd:dc5f
492c19:dd:c25:c25d:dd:dd:dd:dc60/1272c19:dd:c25:c25d:dd:dd:dd:dc61
502c19:dd:c25:c25d:dd:dd:dd:dc62/1272c19:dd:c25:c25d:dd:dd:dd:dc63
512c19:dd:c25:c25d:dd:dd:dd:dc64/1272c19:dd:c25:c25d:dd:dd:dd:dc65
522c19:dd:c25:c25d:dd:dd:dd:dc66/1272c19:dd:c25:c25d:dd:dd:dd:dc67
532c19:dd:c25:c25d:dd:dd:dd:dc68/1272c19:dd:c25:c25d:dd:dd:dd:dc69
542c19:dd:c25:c25d:dd:dd:dd:dc6a/1272c19:dd:c25:c25d:dd:dd:dd:dc6b
552c19:dd:c25:c25d:dd:dd:dd:dc6c/1272c19:dd:c25:c25d:dd:dd:dd:dc6d
562c19:dd:c25:c25d:dd:dd:dd:dc6e/1272c19:dd:c25:c25d:dd:dd:dd:dc6f
572c19:dd:c25:c25d:dd:dd:dd:dc70/1272c19:dd:c25:c25d:dd:dd:dd:dc71
582c19:dd:c25:c25d:dd:dd:dd:dc72/1272c19:dd:c25:c25d:dd:dd:dd:dc73
592c19:dd:c25:c25d:dd:dd:dd:dc74/1272c19:dd:c25:c25d:dd:dd:dd:dc75
602c19:dd:c25:c25d:dd:dd:dd:dc76/1272c19:dd:c25:c25d:dd:dd:dd:dc77
612c19:dd:c25:c25d:dd:dd:dd:dc78/1272c19:dd:c25:c25d:dd:dd:dd:dc79
622c19:dd:c25:c25d:dd:dd:dd:dc7a/1272c19:dd:c25:c25d:dd:dd:dd:dc7b
632c19:dd:c25:c25d:dd:dd:dd:dc7c/1272c19:dd:c25:c25d:dd:dd:dd:dc7d
642c19:dd:c25:c25d:dd:dd:dd:dc7e/1272c19:dd:c25:c25d:dd:dd:dd:dc7f
652c19:dd:c25:c25d:dd:dd:dd:dc80/1272c19:dd:c25:c25d:dd:dd:dd:dc81
662c19:dd:c25:c25d:dd:dd:dd:dc82/1272c19:dd:c25:c25d:dd:dd:dd:dc83
672c19:dd:c25:c25d:dd:dd:dd:dc84/1272c19:dd:c25:c25d:dd:dd:dd:dc85
682c19:dd:c25:c25d:dd:dd:dd:dc86/1272c19:dd:c25:c25d:dd:dd:dd:dc87
692c19:dd:c25:c25d:dd:dd:dd:dc88/1272c19:dd:c25:c25d:dd:dd:dd:dc89
702c19:dd:c25:c25d:dd:dd:dd:dc8a/1272c19:dd:c25:c25d:dd:dd:dd:dc8b
712c19:dd:c25:c25d:dd:dd:dd:dc8c/1272c19:dd:c25:c25d:dd:dd:dd:dc8d
722c19:dd:c25:c25d:dd:dd:dd:dc8e/1272c19:dd:c25:c25d:dd:dd:dd:dc8f
732c19:dd:c25:c25d:dd:dd:dd:dc90/1272c19:dd:c25:c25d:dd:dd:dd:dc91
742c19:dd:c25:c25d:dd:dd:dd:dc92/1272c19:dd:c25:c25d:dd:dd:dd:dc93
752c19:dd:c25:c25d:dd:dd:dd:dc94/1272c19:dd:c25:c25d:dd:dd:dd:dc95
762c19:dd:c25:c25d:dd:dd:dd:dc96/1272c19:dd:c25:c25d:dd:dd:dd:dc97
772c19:dd:c25:c25d:dd:dd:dd:dc98/1272c19:dd:c25:c25d:dd:dd:dd:dc99
782c19:dd:c25:c25d:dd:dd:dd:dc9a/1272c19:dd:c25:c25d:dd:dd:dd:dc9b
792c19:dd:c25:c25d:dd:dd:dd:dc9c/1272c19:dd:c25:c25d:dd:dd:dd:dc9d
802c19:dd:c25:c25d:dd:dd:dd:dc9e/1272c19:dd:c25:c25d:dd:dd:dd:dc9f
812c19:dd:c25:c25d:dd:dd:dd:dca0/1272c19:dd:c25:c25d:dd:dd:dd:dca1
822c19:dd:c25:c25d:dd:dd:dd:dca2/1272c19:dd:c25:c25d:dd:dd:dd:dca3
832c19:dd:c25:c25d:dd:dd:dd:dca4/1272c19:dd:c25:c25d:dd:dd:dd:dca5
842c19:dd:c25:c25d:dd:dd:dd:dca6/1272c19:dd:c25:c25d:dd:dd:dd:dca7
852c19:dd:c25:c25d:dd:dd:dd:dca8/1272c19:dd:c25:c25d:dd:dd:dd:dca9
862c19:dd:c25:c25d:dd:dd:dd:dcaa/1272c19:dd:c25:c25d:dd:dd:dd:dcab
872c19:dd:c25:c25d:dd:dd:dd:dcac/1272c19:dd:c25:c25d:dd:dd:dd:dcad
882c19:dd:c25:c25d:dd:dd:dd:dcae/1272c19:dd:c25:c25d:dd:dd:dd:dcaf
892c19:dd:c25:c25d:dd:dd:dd:dcb0/1272c19:dd:c25:c25d:dd:dd:dd:dcb1
902c19:dd:c25:c25d:dd:dd:dd:dcb2/1272c19:dd:c25:c25d:dd:dd:dd:dcb3
912c19:dd:c25:c25d:dd:dd:dd:dcb4/1272c19:dd:c25:c25d:dd:dd:dd:dcb5
922c19:dd:c25:c25d:dd:dd:dd:dcb6/1272c19:dd:c25:c25d:dd:dd:dd:dcb7
932c19:dd:c25:c25d:dd:dd:dd:dcb8/1272c19:dd:c25:c25d:dd:dd:dd:dcb9
942c19:dd:c25:c25d:dd:dd:dd:dcba/1272c19:dd:c25:c25d:dd:dd:dd:dcbb
952c19:dd:c25:c25d:dd:dd:dd:dcbc/1272c19:dd:c25:c25d:dd:dd:dd:dcbd
962c19:dd:c25:c25d:dd:dd:dd:dcbe/1272c19:dd:c25:c25d:dd:dd:dd:dcbf
972c19:dd:c25:c25d:dd:dd:dd:dcc0/1272c19:dd:c25:c25d:dd:dd:dd:dcc1
982c19:dd:c25:c25d:dd:dd:dd:dcc2/1272c19:dd:c25:c25d:dd:dd:dd:dcc3
992c19:dd:c25:c25d:dd:dd:dd:dcc4/1272c19:dd:c25:c25d:dd:dd:dd:dcc5
1002c19:dd:c25:c25d:dd:dd:dd:dcc6/1272c19:dd:c25:c25d:dd:dd:dd:dcc7
1012c19:dd:c25:c25d:dd:dd:dd:dcc8/1272c19:dd:c25:c25d:dd:dd:dd:dcc9
1022c19:dd:c25:c25d:dd:dd:dd:dcca/1272c19:dd:c25:c25d:dd:dd:dd:dccb
1032c19:dd:c25:c25d:dd:dd:dd:dccc/1272c19:dd:c25:c25d:dd:dd:dd:dccd
1042c19:dd:c25:c25d:dd:dd:dd:dcce/1272c19:dd:c25:c25d:dd:dd:dd:dccf
1052c19:dd:c25:c25d:dd:dd:dd:dcd0/1272c19:dd:c25:c25d:dd:dd:dd:dcd1
1062c19:dd:c25:c25d:dd:dd:dd:dcd2/1272c19:dd:c25:c25d:dd:dd:dd:dcd3
1072c19:dd:c25:c25d:dd:dd:dd:dcd4/1272c19:dd:c25:c25d:dd:dd:dd:dcd5
1082c19:dd:c25:c25d:dd:dd:dd:dcd6/1272c19:dd:c25:c25d:dd:dd:dd:dcd7
1092c19:dd:c25:c25d:dd:dd:dd:dcd8/1272c19:dd:c25:c25d:dd:dd:dd:dcd9
1102c19:dd:c25:c25d:dd:dd:dd:dcda/1272c19:dd:c25:c25d:dd:dd:dd:dcdb
1112c19:dd:c25:c25d:dd:dd:dd:dcdc/1272c19:dd:c25:c25d:dd:dd:dd:dcdd
1122c19:dd:c25:c25d:dd:dd:dd:dcde/1272c19:dd:c25:c25d:dd:dd:dd:dcdf
1132c19:dd:c25:c25d:dd:dd:dd:dce0/1272c19:dd:c25:c25d:dd:dd:dd:dce1
1142c19:dd:c25:c25d:dd:dd:dd:dce2/1272c19:dd:c25:c25d:dd:dd:dd:dce3
1152c19:dd:c25:c25d:dd:dd:dd:dce4/1272c19:dd:c25:c25d:dd:dd:dd:dce5
1162c19:dd:c25:c25d:dd:dd:dd:dce6/1272c19:dd:c25:c25d:dd:dd:dd:dce7
1172c19:dd:c25:c25d:dd:dd:dd:dce8/1272c19:dd:c25:c25d:dd:dd:dd:dce9
1182c19:dd:c25:c25d:dd:dd:dd:dcea/1272c19:dd:c25:c25d:dd:dd:dd:dceb
1192c19:dd:c25:c25d:dd:dd:dd:dcec/1272c19:dd:c25:c25d:dd:dd:dd:dced
1202c19:dd:c25:c25d:dd:dd:dd:dcee/1272c19:dd:c25:c25d:dd:dd:dd:dcef
1212c19:dd:c25:c25d:dd:dd:dd:dcf0/1272c19:dd:c25:c25d:dd:dd:dd:dcf1
1222c19:dd:c25:c25d:dd:dd:dd:dcf2/1272c19:dd:c25:c25d:dd:dd:dd:dcf3
1232c19:dd:c25:c25d:dd:dd:dd:dcf4/1272c19:dd:c25:c25d:dd:dd:dd:dcf5
1242c19:dd:c25:c25d:dd:dd:dd:dcf6/1272c19:dd:c25:c25d:dd:dd:dd:dcf7
1252c19:dd:c25:c25d:dd:dd:dd:dcf8/1272c19:dd:c25:c25d:dd:dd:dd:dcf9
1262c19:dd:c25:c25d:dd:dd:dd:dcfa/1272c19:dd:c25:c25d:dd:dd:dd:dcfb
1272c19:dd:c25:c25d:dd:dd:dd:dcfc/1272c19:dd:c25:c25d:dd:dd:dd:dcfd
1282c19:dd:c25:c25d:dd:dd:dd:dcfe/1272c19:dd:c25:c25d:dd:dd:dd:dcff
1292c19:dd:c25:c25d:dd:dd:dd:dd00/1272c19:dd:c25:c25d:dd:dd:dd:dd01
1302c19:dd:c25:c25d:dd:dd:dd:dd02/1272c19:dd:c25:c25d:dd:dd:dd:dd03
1312c19:dd:c25:c25d:dd:dd:dd:dd04/1272c19:dd:c25:c25d:dd:dd:dd:dd05
1322c19:dd:c25:c25d:dd:dd:dd:dd06/1272c19:dd:c25:c25d:dd:dd:dd:dd07
1332c19:dd:c25:c25d:dd:dd:dd:dd08/1272c19:dd:c25:c25d:dd:dd:dd:dd09
1342c19:dd:c25:c25d:dd:dd:dd:dd0a/1272c19:dd:c25:c25d:dd:dd:dd:dd0b
1352c19:dd:c25:c25d:dd:dd:dd:dd0c/1272c19:dd:c25:c25d:dd:dd:dd:dd0d
1362c19:dd:c25:c25d:dd:dd:dd:dd0e/1272c19:dd:c25:c25d:dd:dd:dd:dd0f
1372c19:dd:c25:c25d:dd:dd:dd:dd10/1272c19:dd:c25:c25d:dd:dd:dd:dd11
1382c19:dd:c25:c25d:dd:dd:dd:dd12/1272c19:dd:c25:c25d:dd:dd:dd:dd13
1392c19:dd:c25:c25d:dd:dd:dd:dd14/1272c19:dd:c25:c25d:dd:dd:dd:dd15
1402c19:dd:c25:c25d:dd:dd:dd:dd16/1272c19:dd:c25:c25d:dd:dd:dd:dd17
1412c19:dd:c25:c25d:dd:dd:dd:dd18/1272c19:dd:c25:c25d:dd:dd:dd:dd19
1422c19:dd:c25:c25d:dd:dd:dd:dd1a/1272c19:dd:c25:c25d:dd:dd:dd:dd1b
1432c19:dd:c25:c25d:dd:dd:dd:dd1c/1272c19:dd:c25:c25d:dd:dd:dd:dd1d
1442c19:dd:c25:c25d:dd:dd:dd:dd1e/1272c19:dd:c25:c25d:dd:dd:dd:dd1f
1452c19:dd:c25:c25d:dd:dd:dd:dd20/1272c19:dd:c25:c25d:dd:dd:dd:dd21
1462c19:dd:c25:c25d:dd:dd:dd:dd22/1272c19:dd:c25:c25d:dd:dd:dd:dd23
1472c19:dd:c25:c25d:dd:dd:dd:dd24/1272c19:dd:c25:c25d:dd:dd:dd:dd25
1482c19:dd:c25:c25d:dd:dd:dd:dd26/1272c19:dd:c25:c25d:dd:dd:dd:dd27
1492c19:dd:c25:c25d:dd:dd:dd:dd28/1272c19:dd:c25:c25d:dd:dd:dd:dd29
1502c19:dd:c25:c25d:dd:dd:dd:dd2a/1272c19:dd:c25:c25d:dd:dd:dd:dd2b
1512c19:dd:c25:c25d:dd:dd:dd:dd2c/1272c19:dd:c25:c25d:dd:dd:dd:dd2d
1522c19:dd:c25:c25d:dd:dd:dd:dd2e/1272c19:dd:c25:c25d:dd:dd:dd:dd2f
1532c19:dd:c25:c25d:dd:dd:dd:dd30/1272c19:dd:c25:c25d:dd:dd:dd:dd31
1542c19:dd:c25:c25d:dd:dd:dd:dd32/1272c19:dd:c25:c25d:dd:dd:dd:dd33
1552c19:dd:c25:c25d:dd:dd:dd:dd34/1272c19:dd:c25:c25d:dd:dd:dd:dd35
1562c19:dd:c25:c25d:dd:dd:dd:dd36/1272c19:dd:c25:c25d:dd:dd:dd:dd37
1572c19:dd:c25:c25d:dd:dd:dd:dd38/1272c19:dd:c25:c25d:dd:dd:dd:dd39
1582c19:dd:c25:c25d:dd:dd:dd:dd3a/1272c19:dd:c25:c25d:dd:dd:dd:dd3b
1592c19:dd:c25:c25d:dd:dd:dd:dd3c/1272c19:dd:c25:c25d:dd:dd:dd:dd3d
1602c19:dd:c25:c25d:dd:dd:dd:dd3e/1272c19:dd:c25:c25d:dd:dd:dd:dd3f
1612c19:dd:c25:c25d:dd:dd:dd:dd40/1272c19:dd:c25:c25d:dd:dd:dd:dd41
1622c19:dd:c25:c25d:dd:dd:dd:dd42/1272c19:dd:c25:c25d:dd:dd:dd:dd43
1632c19:dd:c25:c25d:dd:dd:dd:dd44/1272c19:dd:c25:c25d:dd:dd:dd:dd45
1642c19:dd:c25:c25d:dd:dd:dd:dd46/1272c19:dd:c25:c25d:dd:dd:dd:dd47
1652c19:dd:c25:c25d:dd:dd:dd:dd48/1272c19:dd:c25:c25d:dd:dd:dd:dd49
1662c19:dd:c25:c25d:dd:dd:dd:dd4a/1272c19:dd:c25:c25d:dd:dd:dd:dd4b
1672c19:dd:c25:c25d:dd:dd:dd:dd4c/1272c19:dd:c25:c25d:dd:dd:dd:dd4d
1682c19:dd:c25:c25d:dd:dd:dd:dd4e/1272c19:dd:c25:c25d:dd:dd:dd:dd4f
1692c19:dd:c25:c25d:dd:dd:dd:dd50/1272c19:dd:c25:c25d:dd:dd:dd:dd51
1702c19:dd:c25:c25d:dd:dd:dd:dd52/1272c19:dd:c25:c25d:dd:dd:dd:dd53
1712c19:dd:c25:c25d:dd:dd:dd:dd54/1272c19:dd:c25:c25d:dd:dd:dd:dd55
1722c19:dd:c25:c25d:dd:dd:dd:dd56/1272c19:dd:c25:c25d:dd:dd:dd:dd57
1732c19:dd:c25:c25d:dd:dd:dd:dd58/1272c19:dd:c25:c25d:dd:dd:dd:dd59
1742c19:dd:c25:c25d:dd:dd:dd:dd5a/1272c19:dd:c25:c25d:dd:dd:dd:dd5b
1752c19:dd:c25:c25d:dd:dd:dd:dd5c/1272c19:dd:c25:c25d:dd:dd:dd:dd5d
1762c19:dd:c25:c25d:dd:dd:dd:dd5e/1272c19:dd:c25:c25d:dd:dd:dd:dd5f
1772c19:dd:c25:c25d:dd:dd:dd:dd60/1272c19:dd:c25:c25d:dd:dd:dd:dd61
1782c19:dd:c25:c25d:dd:dd:dd:dd62/1272c19:dd:c25:c25d:dd:dd:dd:dd63
1792c19:dd:c25:c25d:dd:dd:dd:dd64/1272c19:dd:c25:c25d:dd:dd:dd:dd65
1802c19:dd:c25:c25d:dd:dd:dd:dd66/1272c19:dd:c25:c25d:dd:dd:dd:dd67
1812c19:dd:c25:c25d:dd:dd:dd:dd68/1272c19:dd:c25:c25d:dd:dd:dd:dd69
1822c19:dd:c25:c25d:dd:dd:dd:dd6a/1272c19:dd:c25:c25d:dd:dd:dd:dd6b
1832c19:dd:c25:c25d:dd:dd:dd:dd6c/1272c19:dd:c25:c25d:dd:dd:dd:dd6d
1842c19:dd:c25:c25d:dd:dd:dd:dd6e/1272c19:dd:c25:c25d:dd:dd:dd:dd6f
1852c19:dd:c25:c25d:dd:dd:dd:dd70/1272c19:dd:c25:c25d:dd:dd:dd:dd71
1862c19:dd:c25:c25d:dd:dd:dd:dd72/1272c19:dd:c25:c25d:dd:dd:dd:dd73
1872c19:dd:c25:c25d:dd:dd:dd:dd74/1272c19:dd:c25:c25d:dd:dd:dd:dd75
1882c19:dd:c25:c25d:dd:dd:dd:dd76/1272c19:dd:c25:c25d:dd:dd:dd:dd77
1892c19:dd:c25:c25d:dd:dd:dd:dd78/1272c19:dd:c25:c25d:dd:dd:dd:dd79
1902c19:dd:c25:c25d:dd:dd:dd:dd7a/1272c19:dd:c25:c25d:dd:dd:dd:dd7b
1912c19:dd:c25:c25d:dd:dd:dd:dd7c/1272c19:dd:c25:c25d:dd:dd:dd:dd7d
1922c19:dd:c25:c25d:dd:dd:dd:dd7e/1272c19:dd:c25:c25d:dd:dd:dd:dd7f
1932c19:dd:c25:c25d:dd:dd:dd:dd80/1272c19:dd:c25:c25d:dd:dd:dd:dd81
1942c19:dd:c25:c25d:dd:dd:dd:dd82/1272c19:dd:c25:c25d:dd:dd:dd:dd83
1952c19:dd:c25:c25d:dd:dd:dd:dd84/1272c19:dd:c25:c25d:dd:dd:dd:dd85
1962c19:dd:c25:c25d:dd:dd:dd:dd86/1272c19:dd:c25:c25d:dd:dd:dd:dd87
1972c19:dd:c25:c25d:dd:dd:dd:dd88/1272c19:dd:c25:c25d:dd:dd:dd:dd89
1982c19:dd:c25:c25d:dd:dd:dd:dd8a/1272c19:dd:c25:c25d:dd:dd:dd:dd8b
1992c19:dd:c25:c25d:dd:dd:dd:dd8c/1272c19:dd:c25:c25d:dd:dd:dd:dd8d
2002c19:dd:c25:c25d:dd:dd:dd:dd8e/1272c19:dd:c25:c25d:dd:dd:dd:dd8f
2012c19:dd:c25:c25d:dd:dd:dd:dd90/1272c19:dd:c25:c25d:dd:dd:dd:dd91
2022c19:dd:c25:c25d:dd:dd:dd:dd92/1272c19:dd:c25:c25d:dd:dd:dd:dd93
2032c19:dd:c25:c25d:dd:dd:dd:dd94/1272c19:dd:c25:c25d:dd:dd:dd:dd95
2042c19:dd:c25:c25d:dd:dd:dd:dd96/1272c19:dd:c25:c25d:dd:dd:dd:dd97
2052c19:dd:c25:c25d:dd:dd:dd:dd98/1272c19:dd:c25:c25d:dd:dd:dd:dd99
2062c19:dd:c25:c25d:dd:dd:dd:dd9a/1272c19:dd:c25:c25d:dd:dd:dd:dd9b
2072c19:dd:c25:c25d:dd:dd:dd:dd9c/1272c19:dd:c25:c25d:dd:dd:dd:dd9d
2082c19:dd:c25:c25d:dd:dd:dd:dd9e/1272c19:dd:c25:c25d:dd:dd:dd:dd9f
2092c19:dd:c25:c25d:dd:dd:dd:dda0/1272c19:dd:c25:c25d:dd:dd:dd:dda1
2102c19:dd:c25:c25d:dd:dd:dd:dda2/1272c19:dd:c25:c25d:dd:dd:dd:dda3
2112c19:dd:c25:c25d:dd:dd:dd:dda4/1272c19:dd:c25:c25d:dd:dd:dd:dda5
2122c19:dd:c25:c25d:dd:dd:dd:dda6/1272c19:dd:c25:c25d:dd:dd:dd:dda7
2132c19:dd:c25:c25d:dd:dd:dd:dda8/1272c19:dd:c25:c25d:dd:dd:dd:dda9
2142c19:dd:c25:c25d:dd:dd:dd:ddaa/1272c19:dd:c25:c25d:dd:dd:dd:ddab
2152c19:dd:c25:c25d:dd:dd:dd:ddac/1272c19:dd:c25:c25d:dd:dd:dd:ddad
2162c19:dd:c25:c25d:dd:dd:dd:ddae/1272c19:dd:c25:c25d:dd:dd:dd:ddaf
2172c19:dd:c25:c25d:dd:dd:dd:ddb0/1272c19:dd:c25:c25d:dd:dd:dd:ddb1
2182c19:dd:c25:c25d:dd:dd:dd:ddb2/1272c19:dd:c25:c25d:dd:dd:dd:ddb3
2192c19:dd:c25:c25d:dd:dd:dd:ddb4/1272c19:dd:c25:c25d:dd:dd:dd:ddb5
2202c19:dd:c25:c25d:dd:dd:dd:ddb6/1272c19:dd:c25:c25d:dd:dd:dd:ddb7
2212c19:dd:c25:c25d:dd:dd:dd:ddb8/1272c19:dd:c25:c25d:dd:dd:dd:ddb9
2222c19:dd:c25:c25d:dd:dd:dd:ddba/1272c19:dd:c25:c25d:dd:dd:dd:ddbb
2232c19:dd:c25:c25d:dd:dd:dd:ddbc/1272c19:dd:c25:c25d:dd:dd:dd:ddbd
2242c19:dd:c25:c25d:dd:dd:dd:ddbe/1272c19:dd:c25:c25d:dd:dd:dd:ddbf
2252c19:dd:c25:c25d:dd:dd:dd:ddc0/1272c19:dd:c25:c25d:dd:dd:dd:ddc1
2262c19:dd:c25:c25d:dd:dd:dd:ddc2/1272c19:dd:c25:c25d:dd:dd:dd:ddc3
2272c19:dd:c25:c25d:dd:dd:dd:ddc4/1272c19:dd:c25:c25d:dd:dd:dd:ddc5
2282c19:dd:c25:c25d:dd:dd:dd:ddc6/1272c19:dd:c25:c25d:dd:dd:dd:ddc7
2292c19:dd:c25:c25d:dd:dd:dd:ddc8/1272c19:dd:c25:c25d:dd:dd:dd:ddc9
2302c19:dd:c25:c25d:dd:dd:dd:ddca/1272c19:dd:c25:c25d:dd:dd:dd:ddcb
2312c19:dd:c25:c25d:dd:dd:dd:ddcc/1272c19:dd:c25:c25d:dd:dd:dd:ddcd
2322c19:dd:c25:c25d:dd:dd:dd:ddce/1272c19:dd:c25:c25d:dd:dd:dd:ddcf
2332c19:dd:c25:c25d:dd:dd:dd:ddd0/1272c19:dd:c25:c25d:dd:dd:dd:ddd1
2342c19:dd:c25:c25d:dd:dd:dd:ddd2/1272c19:dd:c25:c25d:dd:dd:dd:ddd3
2352c19:dd:c25:c25d:dd:dd:dd:ddd4/1272c19:dd:c25:c25d:dd:dd:dd:ddd5
2362c19:dd:c25:c25d:dd:dd:dd:ddd6/1272c19:dd:c25:c25d:dd:dd:dd:ddd7
2372c19:dd:c25:c25d:dd:dd:dd:ddd8/1272c19:dd:c25:c25d:dd:dd:dd:ddd9
2382c19:dd:c25:c25d:dd:dd:dd:ddda/1272c19:dd:c25:c25d:dd:dd:dd:dddb
2392c19:dd:c25:c25d:dd:dd:dd:dddc/1272c19:dd:c25:c25d:dd:dd:dd:dddd
2402c19:dd:c25:c25d:dd:dd:dd:ddde/1272c19:dd:c25:c25d:dd:dd:dd:dddf
2412c19:dd:c25:c25d:dd:dd:dd:dde0/1272c19:dd:c25:c25d:dd:dd:dd:dde1
2422c19:dd:c25:c25d:dd:dd:dd:dde2/1272c19:dd:c25:c25d:dd:dd:dd:dde3
2432c19:dd:c25:c25d:dd:dd:dd:dde4/1272c19:dd:c25:c25d:dd:dd:dd:dde5
2442c19:dd:c25:c25d:dd:dd:dd:dde6/1272c19:dd:c25:c25d:dd:dd:dd:dde7
2452c19:dd:c25:c25d:dd:dd:dd:dde8/1272c19:dd:c25:c25d:dd:dd:dd:dde9
2462c19:dd:c25:c25d:dd:dd:dd:ddea/1272c19:dd:c25:c25d:dd:dd:dd:ddeb
2472c19:dd:c25:c25d:dd:dd:dd:ddec/1272c19:dd:c25:c25d:dd:dd:dd:dded
2482c19:dd:c25:c25d:dd:dd:dd:ddee/1272c19:dd:c25:c25d:dd:dd:dd:ddef
2492c19:dd:c25:c25d:dd:dd:dd:ddf0/1272c19:dd:c25:c25d:dd:dd:dd:ddf1
2502c19:dd:c25:c25d:dd:dd:dd:ddf2/1272c19:dd:c25:c25d:dd:dd:dd:ddf3
2512c19:dd:c25:c25d:dd:dd:dd:ddf4/1272c19:dd:c25:c25d:dd:dd:dd:ddf5
2522c19:dd:c25:c25d:dd:dd:dd:ddf6/1272c19:dd:c25:c25d:dd:dd:dd:ddf7
2532c19:dd:c25:c25d:dd:dd:dd:ddf8/1272c19:dd:c25:c25d:dd:dd:dd:ddf9
2542c19:dd:c25:c25d:dd:dd:dd:ddfa/1272c19:dd:c25:c25d:dd:dd:dd:ddfb
2552c19:dd:c25:c25d:dd:dd:dd:ddfc/1272c19:dd:c25:c25d:dd:dd:dd:ddfd
2562c19:dd:c25:c25d:dd:dd:dd:ddfe/1272c19:dd:c25:c25d:dd:dd:dd:ddff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses